%global commit 0c1a3066853eec2374c89b3fc89e03520e63410d
%global sover .0

Name:		libmsr
Version:	0.1.17
Release:	3%{?dist}
Summary:	Wrapper library for model-specific registers
License:	GPLv3+
URL:		https://github.com/LLNL/libmsr
Source0:	https://github.com/LLNL/libmsr/archive/%commit.tar.gz#/libmsr-%version.tar.gz
# Add library version
Patch1:		libmsr-soversion.patch
# Fix from https://github.com/LLNL/libmsr/commit/d59345d1b24f1470a7e20af42102b3200c7eb2dc
Patch2:		libmsr-andfix.patch
BuildRequires:	cmake
# Registers are x86_64-specific
ExclusiveArch:	x86_64

%description
Wrapper library for model-specific registers. APIs cover RAPL,
performance counters, clocks and turbo.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
ExclusiveArch:	x86_64

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n libmsr-%commit
rm gremlins/.gitignore
%patch1 -p1


%build
%cmake -DSOVERSION=.0
make %{?_smp_mflags}


%install
make install DESTDIR=%buildroot
find %buildroot -name '*.la' -exec rm -f {} ';'
rm %buildroot%_prefix/lib/*.a
%if %__isa_bits == 64
mkdir -p %buildroot%_libdir
mv %buildroot%_prefix/lib/*.so* %buildroot%_libdir
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%{!?_licensedir:%global license %doc}

%files
%doc README.md changelog.txt documentation/*
# examples
%doc gremlins demoapps msrmod
%license LICENSE
%{_libdir}/*.so.*
%_bindir/msr
%_libexecdir/libmsr/msr-turbo
%exclude %_prefix/wrap

%files devel
%{_includedir}/*
%{_libdir}/*.so
%_datadir/cmake/libmsr


%changelog
* Thu Feb  4 2016 Dave Love <loveshack@fedoraproject.org> - 0.1.17-3
- Update to 0c1a3066853eec2374c89b3fc89e03520e63410d
- Add ExclusiveArch

* Wed Jan  6 2016 Dave Love <loveshack@fedoraproject.org> - 0.1.17-2
- Add patch2 for typo fix

* Fri Dec 18 2015 Dave Love <loveshack@fedoraproject.org> - 0.1.17-1
- Initial packaging

